#ifndef XCOBJECT_H_INCLUDED
#define XCOBJECT_H_INCLUDED

#include "XCCom.h"
#include "utils.h"

BEGIN_XCOBJ_CLASS(XCObject)
END_XCOBJ_CLASS(XCObject)

STDMETHODIMP XCObject_get_object_handle(IXCObject *This, long *pVal);
STDMETHODIMP XCObject_get_index(IXCObject *This, short *pVal);
STDMETHODIMP XCObject_get_color(IXCObject *This, int *pVal);
STDMETHODIMP XCObject_put_color(IXCObject *This, VARIANT newVal);
STDMETHODIMP XCObject_select(IXCObject *This, VARIANT_BOOL doRefresh);
STDMETHODIMP XCObject_update(IXCObject *This, VARIANT_BOOL doRefresh);

STDMETHODIMP XCLineObject_get_width(IXCLineObject *This, float *pVal);
STDMETHODIMP XCLineObject_put_width(IXCLineObject *This, float newVal);
STDMETHODIMP XCLineObject_put_border(IXCLineObject *This, BSTR newVal);
STDMETHODIMP XCLineObject_get_border(IXCLineObject *This, BSTR *pVal);
STDMETHODIMP XCLineObject_put_closed(IXCLineObject *This, VARIANT_BOOL newVal);
STDMETHODIMP XCLineObject_get_closed(IXCLineObject *This, VARIANT_BOOL *pVal);

#endif /* XCOBJECT_H_INCLUDED */
